using Microsoft.AspNetCore.Components;

namespace Front.Program.Views.Academy.Main;

public partial class BookMark : ComponentBase
{

    public List<FavoriteItem> Favorites { get; set; } = new(); 
        
    protected override void OnInitialized()
    {
        Favorites = new List<FavoriteItem>
        {
            new() { Name = "학습 > 수업" },
            new() { Name = "학습 > 과제" },
            new() { Name = "커뮤니티 > 공지" },
            new() { Name = "커뮤니티 > Q&A" },
            new() { Name = "마이페이지" }
        };
    }

    public class FavoriteItem
    {
        public string Name { get; set; } = "";
    }
}
